Bug 617763 - xm_t is not able to search dirs with autofs_t
Summary: xm_t is not able to search dirs with autofs_t
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 21:13 UTC by Jeff Bastian
Modified: 2018-11-14 19:14 UTC (History)
3 users (show)

(edit)
Prior to this update, the "xm_t" domain was not allowed to search directories with the "autofs_t" security context. Consequent to this, virtual machines could not be stored on automatically mounted file systems. With this update, the SELinux rules have been adjusted to permit such search, so that the virtual machines can now be stored on an automatically mounted file system as expected.
Clone Of:
(edit)
Last Closed: 2011-01-13 21:50:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0026 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2011-01-12 16:11:15 UTC

Description Jeff Bastian 2010-07-23 21:13:38 UTC
Description of problem:
xm_t is not able to search dirs with autofs_t.  This prevents virtual machines from being stored on an automounted filesystem.

Can you add the following to the policy?
  fs_search_auto_mountpoints(xm_t)

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-279.el5

How reproducible:


Steps to Reproduce:
1. coming soon
2.
3.
  
Actual results:


Expected results:


Additional info:
This custom module is a current workaround:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
module mysemanage 1.0.1;

require {
     type xm_t;
     type autofs_t;
     type file_t;
     class dir search;
}

#============= xm_t ==============
allow xm_t autofs_t:dir search;
allow xm_t file_t:dir search;
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Comment 3 Miroslav Grepl 2010-07-26 16:38:31 UTC
Added to selinux-policy-2.4.6-281.el5.noarch

Comment 8 Jaromir Hradilek 2011-01-05 16:18:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the "xm_t" domain was not allowed to search directories with the "autofs_t" security context. Consequent to this, virtual machines could not be stored on automatically mounted file systems. With this update, the SELinux rules have been adjusted to permit such search, so that the virtual machines can now be stored on an automatically mounted file system as expected.

Comment 10 errata-xmlrpc 2011-01-13 21:50:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0026.html


Note You need to log in before you can comment on or make changes to this bug.